I don't know much of the details/history here, but maybe a few comments 
can help.

On 2011/01/16 3:05, NARUSE, Yui wrote:
> (2011/01/16 0:11), Zeno Davatz wrote:
>> 1. Can you please point me to the discussion, where Ruby-Core decided
>> _not_ to apply the Oniguruma-Patch in the first place to Ruby 1.8.7?
>> Why was the patch never applied to Ruby 1.8.7 in the first place. Is
>> there a discussion about that? I could not find anything so far. I am
>> really interested to understand that decision better. You can also
>> send me a Japanese Link, not a problem.
>
> As far as I know, no such discussion.

That would make sense. After all, there are millions of 
features/libraries/whatnot that are not included in Ruby, and it would 
be much too much work to discuss all of them.


>> Slight off-Topic-Note: Consistency is really important for enterprise
>> users. It is really key.

Yes. So as an enterprise user, if you want to use special features that 
are not in any version of Ruby, please don't blame Ruby for that. 
Consistency doesn't mean consistency with all the patches you applied.

Regards,   Martin.


-- 
#-# Martin J. Dürst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:duerst / it.aoyama.ac.jp